zenilib: Zeni::Sound_Renderer Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
Zeni::Sound_Renderer Class Reference

`#include <Sound_Renderer.h>`

Inherited by Zeni::Sound_Renderer_AL, and Zeni::Sound_Renderer_NULL.

## Public Member Functions

virtual | ~Sound_Renderer ()
virtual std::pair< Vector3f, Vector3f > | get_listener_forward_and_up () const
| Set the orientation of the listener. More...
virtual Point3f | get_listener_position () const
| Get the position of the listener and BGM. More...
virtual Vector3f | get_listener_velocity () const
| Get the velocity of the listener and BGM. More...
virtual void | set_listener_forward_and_up (const Vector3f &, const Vector3f &)
| Set the orientation of the listener. More...
virtual void | set_listener_gain (const float &)
| Set the listener gain. More...
virtual void | set_listener_position (const Point3f &)
| Set the position of the listener and BGM. More...
virtual void | set_listener_velocity (const Vector3f &)
| Set the velocity of the listener and BGM for the doppler effect. More...

## Detailed Description

Definition at line 44 of file Sound_Renderer.h.

## Constructor & Destructor Documentation

virtual Zeni::Sound_Renderer::~Sound_Renderer | ( |  | ) |

inlinevirtual

Definition at line 46 of file Sound_Renderer.h.

## Member Function Documentation

virtual std::pair<Vector3f, Vector3f> Zeni::Sound_Renderer::get_listener_forward_and_up | ( |  | ) | const

inlinevirtual

Set the orientation of the listener.

Reimplemented in Zeni::Sound_Renderer_AL.

Definition at line 55 of file Sound_Renderer.h.

References ZENI_DEFAULT_FORWARD_VECTOR, and ZENI_DEFAULT_UP_VECTOR.

Referenced by Zeni::Sound::get_listener_forward_and_up().

virtual Point3f Zeni::Sound_Renderer::get_listener_position | ( |  | ) | const

inlinevirtual

Get the position of the listener and BGM.

Definition at line 53 of file Sound_Renderer.h.

virtual Vector3f Zeni::Sound_Renderer::get_listener_velocity | ( |  | ) | const

inlinevirtual

Get the velocity of the listener and BGM.

Definition at line 54 of file Sound_Renderer.h.

virtual void Zeni::Sound_Renderer::set_listener_forward_and_up | ( | const Vector3f & | ,
|  | const Vector3f & |
| ) |  |

inlinevirtual

Set the orientation of the listener.

Reimplemented in Zeni::Sound_Renderer_AL.

Definition at line 50 of file Sound_Renderer.h.

Referenced by Zeni::Sound::set_listener_forward_and_up().

virtual void Zeni::Sound_Renderer::set_listener_gain | ( | const float & |  | ) |

inlinevirtual

Set the listener gain.

Reimplemented in Zeni::Sound_Renderer_AL.

Definition at line 51 of file Sound_Renderer.h.

Referenced by Zeni::Sound::set_listener_gain(), and Zeni::Sound::set_listener_muted().

virtual void Zeni::Sound_Renderer::set_listener_position | ( | const Point3f & |  | ) |

inlinevirtual

Set the position of the listener and BGM.

Reimplemented in Zeni::Sound_Renderer_AL.

Definition at line 48 of file Sound_Renderer.h.

Referenced by Zeni::Sound::set_listener_position().

virtual void Zeni::Sound_Renderer::set_listener_velocity | ( | const Vector3f & |  | ) |

inlinevirtual

Set the velocity of the listener and BGM for the doppler effect.

Reimplemented in Zeni::Sound_Renderer_AL.

Definition at line 49 of file Sound_Renderer.h.

Referenced by Zeni::Sound::set_listener_velocity().

The documentation for this class was generated from the following file:

- zenilib/jni/external/zenilib/zeni_audio/Zeni/Sound_Renderer.h